import React from 'react';
import { GridConfig } from './types';
interface SmartGridProps {
    /** Function to be used to process headers text */
    headerTextProcessor?: (k: string) => string;
    /** Function to be used to proccess body, pagination and filter texts */
    textProcessor?: (t: string, r?: {
        key: string;
        value: any;
    }) => string;
    onAcctionCalled?: (action: string, rowRecord: any) => void;
    /** Configuration for the current grid */
    config: GridConfig<any>;
}
/**
 * Renders the Smart grid component, a grid with capabilities to:
 * - Fetch data from a remote origin
 * - Handle filters
 * - Handle sorts
 * - Handle actions
 * - Pagination
 * - Advanced pagination features
 * - Displayed records control
 * Everything controlled (or configured) using JSON files or remote json files (Check the RSmartGrid Component)
 * @author Alejandro Quiroz <alejandro.devop@gmail.com>
 * @version 1.0.0
 * @param props
 * @returns
 */
declare const SmartGrid: React.FC<SmartGridProps>;
export default SmartGrid;
