/**
 * This map is used to configure the grid filter fields
 * @author Alejandro Quiroz <alejandro.devop@gmail.com>
 * @version 1.0.0
 */
declare const fieldsMap: {
    checkbox: import("react").FC<import("@alejandro.devop/bt-components").InputPropsType & import("@alejandro.devop/bt-components/dist/form/check-box-field/CheckboxField").CheckBoxProps>;
    date: import("react").FC<import("@alejandro.devop/bt-components").InputPropsType & import("@alejandro.devop/bt-components/dist/form/date-field/DateField").DateFieldProps>;
    dropdown: import("react").FC<{
        color?: "primary" | "default" | "secondary" | "success" | "info" | "warning" | "danger" | undefined;
        /**
         * This map is used to configure the grid filter fields
         * @author Alejandro Quiroz <alejandro.devop@gmail.com>
         * @version 1.0.0
         */
        direction?: "down" | "left" | "right" | "up" | undefined;
        disabled?: boolean | undefined;
        id?: string | undefined;
        label: string;
        options: {
            label: string;
            value: string | number;
        }[];
        onChange?: ((o: {
            label: string;
            value: string | number;
        }) => void) | undefined;
    }>;
    email: import("react").FC<import("@alejandro.devop/bt-components").InputPropsType & import("@alejandro.devop/bt-components/dist/form/email-field/EmailField").EmailProps>;
    file: import("react").FC<import("@alejandro.devop/bt-components").InputPropsType>;
    password: import("react").FC<import("@alejandro.devop/bt-components").InputPropsType & import("@alejandro.devop/bt-components/dist/form/password-field/PasswordField").PasswordFieldProps>;
    radio: import("react").FC<import("@alejandro.devop/bt-components").InputPropsType & import("@alejandro.devop/bt-components/dist/form/radio-field/RadioField").RadioProps>;
    select: import("react").FC<import("@alejandro.devop/bt-components").InputPropsType & import("@alejandro.devop/bt-components/dist/form/select-field/types").SelectProps>;
    textarea: import("react").FC<import("@alejandro.devop/bt-components").InputPropsType>;
    text: import("react").FC<import("@alejandro.devop/bt-components").InputPropsType>;
    time: import("react").FC<import("@alejandro.devop/bt-components").InputPropsType & import("@alejandro.devop/bt-components/dist/form/time-field/TimeField").TimeFieldProps>;
};
export default fieldsMap;
