import React from 'react';
interface GridPaginationDisplayProps {
    /** Value for the page marked as current */
    activePage: number;
    disableGoTo?: boolean;
    disableStepper?: boolean;
    disablePager?: boolean;
    /** Function to change the current page to the the very first page. */
    goToFirst: (e: React.MouseEvent) => void;
    /** Function to change the current page to the last available page. */
    goToLast: (e: React.MouseEvent) => void;
    /** Function to change the current page to the given number */
    handleClickOnNumber: (e: React.MouseEvent, n: number) => void;
    /** Function to apply the go to value and force a new server request */
    handleApplyGoTo: (n: number) => void;
    /** Function to change the current page to the next value */
    handleNext: (e: React.MouseEvent) => void;
    /** Function to change the current page to the previews value */
    handlePrev: (e: React.MouseEvent) => void;
    /** Limit for the records per page */
    limit: number;
    /** A calculated point between the first page to be displayed and the last page to be displayed */
    middlePoint: number;
    /** A function to apply the records per page entered by the user and force a new server request */
    onApplyRecordsPerPage: () => void;
    /** Function to change the given control for the records per page */
    onChangeRecordsPerPage: (newValue: any) => void;
    /** Numbers array with the pages to be rendered */
    pagesToRender: number[];
    /** Current value for the records per page */
    recordsPerPageControl: number;
    /** If the item displaying "..." symbol should be displayed */
    shouldSkipPages: any;
    /** Step for the records per page */
    step?: number;
}
/**
 * Only handles the pagination render structure, has managed states for the inputs, but
 * it transfer the entered data right to it's parent controller.
 * @author Alejandro Quiroz <alejandro.devop@gmail.com>
 * @version 1.0.0
 * @param props
 * @returns
 */
declare const GridPaginationDisplay: React.FC<GridPaginationDisplayProps>;
export default GridPaginationDisplay;
