import { UseGridHeadersConfigType, UseGridHeadersReturnType, GridContextType, GridFieldType } from './types';
import { FilterOptionsType } from './types';
/**
 * Generates the necessary config for the grid headers
 * @author Alejandro Quiroz <alejandro.devop@gmail.com>
 * @version 1.0.0
 * @param config
 * @returns UseGridHeadersReturnType
 */
export declare const useGridHeaders: (config: UseGridHeadersConfigType) => UseGridHeadersReturnType;
/**
 * Generates the filter structure for the internal components.
 * @author Alejandro Quiroz <alejandro.devop@gmail.com>
 * @version 1.0.0
 * @param fields
 * @returns
 */
export declare const useBuildFilters: (fields: GridFieldType) => ({
    key: string;
} & FilterOptionsType)[];
/**
 * Allows to access the GridContext
 * @author Alejandro Quiroz <alejandro.devop@gmail.com>
 * @version 1.0.0
 * @returns GridContextType
 */
export declare const useGridContext: () => GridContextType;
